Page MenuHomePhabricator

CU 2.0: Add the timeline tab with a list of generic structured results [medium]
Closed, ResolvedPublic2 Estimated Story PointsJun 2 2020

Description

As a step towards implementing the mockup detailed at the parent task T237595, this task concentrates on displaying the results in a dedicated timeline task.

Acceptance criteria.

  • Add a 'Timeline' tab to CU 2.0 page
  • Display the list of timeline results (contributions by the users/ips under investigation) in a list, ordered by date and divided by groups of days. (See T247639 for the required queries that provide the data)

Event Timeline

Mooeypoo created this task.Mar 13 2020, 9:37 PM
Niharika triaged this task as Medium priority.Mar 13 2020, 10:21 PM
Niharika moved this task from Untriaged to Cards ready to be discussed on the Anti-Harassment board.
Niharika updated the task description. (Show Details)
ARamirez_WMF renamed this task from CU 2.0: Add the timeline tab with a list of generic structured results to CU 2.0: Add the timeline tab with a list of generic structured results [medium].Mar 18 2020, 4:42 PM
ARamirez_WMF set the point value for this task to 2.
Niharika set Due Date to Apr 1 2020, 7:00 AM.Mar 25 2020, 10:20 PM
Niharika changed the subtype of this task from "Task" to "Deadline".
dmaza claimed this task.Mar 26 2020, 4:51 AM
ARamirez_WMF changed Due Date from Apr 1 2020, 7:00 AM to Apr 17 2020, 7:00 AM.Apr 16 2020, 2:37 AM

Change 592757 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/CheckUser@master] Adds data with basic formatting to the timeline tab

https://gerrit.wikimedia.org/r/592757

ARamirez_WMF changed Due Date from Apr 17 2020, 7:00 AM to May 5 2020, 7:00 AM.May 5 2020, 3:45 PM

Change 592757 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Adds data with basic formatting to the timeline tab

https://gerrit.wikimedia.org/r/592757

ARamirez_WMF changed Due Date from May 5 2020, 7:00 AM to Jun 2 2020, 7:00 AM.May 21 2020, 3:16 AM
dom_walden added a subscriber: dom_walden.

Testing for this has been done in T247641, so I have nothing left to do here.

Niharika closed this task as Resolved.Jul 31 2020, 9:45 PM